This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1285918 - Provide a description of how to use the bootstrap script
Provide a description of how to use the bootstrap script
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Transition Guide (Show other bugs)
Unspecified
Unspecified Unspecified
high Severity high (vote)
: GA
: 6.2
Assigned To: Stephen Wadeley
Peter Ondrejka
:
Depends On: 1154373
Blocks: 1332713
  Show dependency treegraph
 
Reported: 2015-11-26 19:39 EST by Andrew Dahms
Modified: 2016-06-27 02:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-27 02:08:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Dahms 2015-11-26 19:39:48 EST
In Red Hat Satellite 6.2, there is a new script that allows users to migrate machines from other Red Hat system management platforms such as Sat 5, RHSM, etc. to a Red Hat Satellite 6 environment.

A conceptual introduction of and procedure on how to use this script must be documented.
Comment 18 Mike McCune 2016-04-12 11:16:38 EDT
Stephen:

This will land on the Satellite in an RPM called 'katello-client-boostrap', it will install the bootstrap.py into:

/var/www/html/pub/bootstrap.py

Clients will be able to access this file via curl/wget:

wget http://satellite6.example.com/pub/bootstrap.py
chmod +x ./bootstrap.py
./bootstrap.py 

Merge requests and bugfixes will be fixed ASAP, probably over the course of the next week or so.
Comment 19 Roman Plevka 2016-04-19 03:57:32 EDT
(In reply to Mike McCune from comment #18)
> Stephen:
> 
> This will land on the Satellite in an RPM called 'katello-client-boostrap',
> it will install the bootstrap.py into:
> 
> /var/www/html/pub/bootstrap.py
> 
> Clients will be able to access this file via curl/wget:
> 
> wget http://satellite6.example.com/pub/bootstrap.py
> chmod +x ./bootstrap.py
> ./bootstrap.py 
> 
> Merge requests and bugfixes will be fixed ASAP, probably over the course of
> the next week or so.

Mike, don't we want to have some 'branding' in place for this script? (satellite instead of katello/foreman naming, etc.). If we do, am I supposed to file a BZ for that?
Comment 31 Andrew Dahms 2016-06-27 02:03:43 EDT
Settings flags.
Comment 32 Andrew Dahms 2016-06-27 02:08:35 EDT
This content is now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.